// demonstrate of hierarchic textures

#include "standard.inc"
#include "colors.inc"
camera {
    location <1, 2, -4>
// location <3, 2.5, 0>    
    fov 60
    look_at <0, 1, 1>
    aspect 4/3
}

#define corinth = intersection {
    plane { -x, 0 }
    plane { x, 0.5
        texture {
            reflection color White
            ambient color green 1.0
        }
    }
    rotate <0, -30, 0>
    translate x
    inverse
}

composite {
    sphere { <0, 2, 1>, 1.5 }
    intersection {
        box { -2 * x, <2, 2, 3> }
        sphere {
            <-2, 2, 0>, 0.5
            texture { ambient color blue 1.0 }
            inverse
        }
        object { corinth }
        texture {
            ambient color Brown
            ambient 0.2
// diffuse color Yellow            
            diffuse 0.3
        }
    }
    
    light_source { <-3, 4, -5> color White }
    
    texture { ambient color red 1.0 }
}
