// a recursive pyramid.

camera {
    location <-2, 3, -4>
    scale <1.2>
    look_at y
    fov 60
}

#define  prim = sphere { <0>, 1 }

#define twat = composite {
    object  { prim translate <-2, 0, 0> }
    object  { prim translate 2 * x }
    object  { prim translate 2 * z }
    object  { prim translate <0, 0, -2> }
    object  { prim translate <0, 2.5, 0> }
    
    scale <0.4, 0.4, 0.4>
}


#define t1 = texture {
    ambient color green 0.5
    diffuse color blue 0.5
}

#define t2 = texture {
    ambient color red 0.5
    diffuse color green 0.5
    
}

#define t3 = texture {
    ambient color blue 0.5
    diffuse color green 0.5
    
}
#define t4 = texture {
    ambient color red 0.5
    diffuse color blue 0.5
    
}

#define t5 = texture {
    ambient color blue 0.5
    diffuse color red 0.5
}


#define twat = composite {
    object  { twat translate <-2, 0, 0> texture { t1 } }
    object  { twat translate 2 * x texture { t2 } }
    object  { twat translate 2 * z texture { t3 } }
    object  { twat translate <0, 0, -2> texture { t4 } }
    object  { twat translate <0, 1.5, 0> texture { t5 } }
    
    scale <0.4, 0.4, 0.4>
}

#define twat = composite {
    object { twat translate <-2, 0, 0> }
    object { twat translate 2 * x }
    object { twat translate 2 * z }
    object { twat translate <0, 0, -2> }
    object { twat translate <0, 1.5, 0> }
    
    texture {
        ambient color red 1.0
        diffuse color blue 1.0
    }
}

object { twat }

light_source {
    <-5, 5, -5> color red 1.0 green 1.0 blue 1.0 attenuation 0.2
}
