/*
   useful constants

   don't modify this one, it needs to be synchronised with constants in ray.h.
 */


#define M_PI = 3.14159265358979
#define deg2rad = M_PI / 180
#define rad2deg = 180 / M_PI

/*
  Mappings for image_map { .. }
*/
#define Plane_Map = 0
#define Sphere_Map = 1
#define Cylinder_Map = 2
#define Torus_Map = 5

/* Interpolation types, provided for compatibility
 */

#define Bi   = 2
#define Norm = 4

/* Microfacet models.
 */
#define Phong = 0
#define Blinn = 1
#define Gaussian = 2
#define Cook = 3
#define Reitz = 4

/* filters
 */
#define no_filter = 0
#define Gauss_filter = 1

/* optimisation
 */

#define BSP_opti = 1
#define Manual_opti = 2




