// test csg

camera{
    location <4, 3, -5>
    fov 90
    look_at <0>
}

options { background y color rgb <0.2, 0.2, 0.2> }

#define WeirdGreen =texture {	/* any suggestions for a better name? */
    diffuse color red 0.8 blue 0.8 ambient color green 0.2
}

#define csg1 = composite {
    object { /* ok */
        intersection {
            sphere { <0>, 4 }
            plane { x, 0 }
            plane { -z, 0 }
        }
        texture { WeirdGreen }
    }
    object { light_source { <-2, 0, -2> color red 1.0 }  }
    object { light_source { x color blue 1.0 } }
}

#define csg1a = composite {
    /* the same, now with quadric */
    intersection {	/* this works OK too */
        quadric { <1, 1, 1>, <0>, <0>, -16 }
        plane { x, 0 }
        plane { -z, 0.01 }
        texture { WeirdGreen }
    }
    object { light_source { <-2, 0, -2> color red 1.0 }  }
}

#define Cilinder_Z = quadric { <1, 1, 0>, <0>, <0>, -1 }

#define csg2 = composite {
    intersection {
        plane { -z, 0 }
        object { Cilinder_Z }
        texture { WeirdGreen }
    }
    object { light_source { <5, 3, -1> color red 1.0 } }
}

#define CSGBox = intersection {	/* test defines */
    plane { y, 1 }
    plane { y, -1 inverse }
    plane { z, 1 }
    plane { -z, 1 }
    plane { x, 1 }
    plane { -x, 1 }
    scale <2, 2, 2>		/* test scaling */
}

#define csg3 = composite{ 	/* OK!*/
    object { CSGBox texture { WeirdGreen } }
    light_source { <-4, 4, -4> color red 1.0 }
    light_source { <4, 1, 1> color blue 1.0 }
}

#define csg6 = composite {
    union {
        sphere { <0>, 3 }
        sphere { 3 * z, 3 }
        texture { WeirdGreen }
    }
    object { light_source { <8, 2, 2> color blue 1.0 } }
}

object { csg1 }
