// yet another CSG testfile

camera {
    location <0.1, 0.1, -5>
    fov 90
    look_at <0>
}

options {
    background y color rgb <0.2, 0.2, 0.2>
}

#define WeirdGreen = texture {	/* any suggestions for a better name? */
    diffuse color red 0.8 blue 0.8 ambient color green 0.2
}

#define Cilinder_Z = quadric { <1, 1, 0>, <0>, <0>, -1 }

#define csg4 = composite {
    intersection {
        box { <-2, -2, -2>, <2, 2, 2> }
        object { Cilinder_Z inverse }
        texture { WeirdGreen }
    }
    object { light_source { <-4, 4, -4> color red 1.0 } }
}

#define csg6 = union {
    sphere { <0>, 1 }
    sphere { z, 1 }
    texture { WeirdGreen }
}


object { csg4 }
