// Test CSG, part 3
//

camera {
    location <4, 4, -4>
    fov 90
    look_at <0>
}

options { background y color rgb <0.2, 0.2, 0.2> }

#define WeirdGreen = texture {		/* any suggestions for a better name? */
    diffuse color red 0.8 blue 0.8 ambient color green 0.2
}

#include "standard.inc"
#include "shapes.inc"

#define difficult = intersection {
    union {
        object { Disk_X scale <2, 2, 2> }
        box { <2, 2, 4>, <-2, -2, 0> }
    }
    intersection {
        plane { x, 0.5 rotate <0, -45, 0> }
        plane { -x, 0.5 rotate <0, 45, 0> }
        inverse
        translate <0, 0, -0.75>  	// translate test
    }
}


#define csg5 = composite {
    object {
        object { difficult }
        texture { WeirdGreen }
    }
    object { light_source { <-4, 4, -4> color red 1.0 } }
}

object { csg5 }


