// more CSG

camera {
    location <0, 0, 3.0>
    fov 120
    look_at <0>
}

options { background y color rgb <0.2, 0.2, 0.2> }

#define WeirdGreen = texture {		/* any suggestions for a better name? */
    diffuse color red 0.8 blue 0.8 ambient color green 0.2
}
#include "standard.inc"
#include "shapes.inc"

#define difficult = intersection {
    union {
        box { <2, 2, 4>, <-2, -2, 0> }
        object { Disk_X scale < 2, 2, 2> }
        
    }
    intersection {
        plane { x, 0.5 rotate <0, -45, 0> }
        plane { -x, 0.5 rotate <0, 45, 0> }
        inverse
        translate <0, 0, -0.75>  	// translate test
    }
}

#define identicaltwin = union {
    intersection {
        box { <2, 2, 4>, <-2, -2, 0> inverse }
        object { Disk_X scale <2, 2, 2> inverse }
        inverse
    }
    union {
        plane { x, 0.5 rotate <0, -45, 0> inverse }
        plane { -x, 0.5 rotate <0, 45, 0> inverse }
        translate <0, 0, -0.75>  	// translate test
    }
    inverse
}

#define csg7 = composite {
    object {
        object { identicaltwin }
//             object { difficult }        
        texture { WeirdGreen }
    }
    object { light_source { <0.5, -1.5, 1.5> color red 1.0 } }
}

object{ csg7 }



