//
// a fisheye lens in the center, total internal reflection around the fisheye

include "colors.inc"

camera {
    fov 80
}


#define bubble = object {
    box { <-5, -5, -13>, <5, 5, -9> inverse }
    texture {
        color White refraction 0.5
        ambient 0.1
        ior 0.5
        reflection 0.0
    }
}

sphere { <3, 0, -8>, 0.8 texture { color red 1.0 } }
sphere { <0, -3, -11.5>, 0.8 texture { color green 1.0 } }

object { bubble }
//atmosphere { ior 0.67 }

plane { z, -7.5 texture {image_map {tga "tile.tga" uvrange 1, 1 interpolate 1 } ambient color White } }



